主题
亚马逊商品交集查询(实时)
POST /v3/dataforseo_labs/amazon/product_keyword_intersections/live
接口概述
该接口用于返回一组目标商品在 Amazon 搜索结果页中出现的列表。返回结果针对请求中指定的 asins 生效。
适用于做商品竞品重叠分析、交叉覆盖分析、类目词挖掘等场景。
- 请求方式:
POST - 接口地址:
https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_keyword_intersections/live
计费与调用限制
该接口按请求计费。
- 实扣费以响应头
X-SeerMarTech-Charge-CNY为准 - 示例响应显示单次请求成本为 USD 0.0105,参考价约 ¥0.1680 / 次
调用限制:
- 每分钟最多
2000次 API 调用 - 最多
30个并发请求
请求格式
所有 POST 数据使用 UTF-8 编码的 JSON 格式提交。
请求体为 JSON 数组,格式如下:
json
[
{
"asins": {
"1": "B09172433Z",
"2": "B07GBZ4Q68",
"3": "B07GCKQD77"
},
"language_name": "English",
"location_code": 2840
}
]请求参数
| 字段名 | 类型 | 说明 |
|---|---|---|
asins | object | 填。目标商品的 ASIN 集合,用于查找这些商品的交集。格式示例:"asins": { "1": "019005476X", "2": "0190074442" }。该对象中最多可传 20 个 ASIN。 |
location_name | string | 地区名。未传 location_code 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取可用地区列表。注意:该接口目前支持美国、埃及、沙特阿拉伯、阿联。 示例:United States |
location_code | integer | 地区编码。未传 location_name 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。注意:该接口目前支持美国、埃及、沙特阿拉伯、阿联。 示例:2840 |
language_name | string | 语言名。未传 language_code 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。示例:English |
language_code | string | 语言代码。未传 language_name 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。示例:en |
limit | integer | 返回结果中数量上限。可选。默认值:100;最大值:1000 |
intersection_mode | string | ASIN 交集计算模式。可选。可选值:union、intersect;默认值:intersect |
filters | array | 结果过滤条件数组。可选。最多可设置 8 个过滤条件,条件之间需使用逻辑运算符 and / or 连接。支持操作符:regex, not_regex, <, <=, >, >=, =, <>, in, not_in, ilike, not_ilike, like, not_like, match, not_match。 like / not_like / ilike / not_ilike 支持 % 通符。更多说明可参考 /v3/dataforseo_labs/filters |
order_by | array | 结果排序规则。可选。可使用与 filters 相同的字段值作为排序字段。排序方式:asc 升序,desc 降序。单次请求最多支持 3 条排序规则。 |
offset | integer | 返回结果数组的偏移量。可选。默认值:0。例如传 10 时,将跳过前 10 条结果并从后续结果开始返回。 |
tag | string | 自定义任务标识。可选。最大长度 255 个字符。可用于请求与结果的业务映射;返回时会在响应的 data 对象中原样带回。 |
intersection_mode 说明
该参数决定如何判定与多个商品的“交集”:
intersect:返回所有指定 ASIN 都出现在同一 Amazon SERP 中的union:返回任一指定 ASIN 出现在 Amazon SERP 中的
如果你要找“竞争词”,通常使用 intersect;如果你要扩大候选池,可使用 union。
响应结构
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段名 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本 |
status_code | integer | 通用状态码。完整错误码请参考 /v3/appendix/errors |
status_message | string | 通用状态信息 |
time | string | 执行耗时,单位秒 |
cost | float | 本次所有任务总成本,单位 USD |
tasks_count | integer | tasks 数组中的任务数 |
tasks_error | integer | 返回错误的任务数 |
tasks | array | 任务结果数组 |
tasks 数组中的字段
| 字段名 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式 |
status_code | integer | 任务状态码,范围通常为 10000-60000 |
status_message | string | 任务状态信息 |
time | string | 任务执行耗时,单位秒 |
cost | float | 单个任务成本,单位 USD |
result_count | integer | result 数组中的数量 |
path | array | URL 路径 |
data | object | 请求中提交的参数回显 |
result | array | 结果数组 |
result 数组中的字段
| 字段名 | 类型 | 说明 |
|---|---|---|
se_type | string | 搜索引擎类型 |
asins | object | 请求中提交的 ASIN 集合 |
location_code | integer | 请求中的地区编码;无数据时为 null |
language_code | string | 请求中的语言代码;无数据时为 null |
total_count | integer | 数据库中与请求匹的总结果数 |
items_count | integer | 当前 items 数组返回的结果数 |
items | array | 交集结果列表 |
items 结果字段说明
每条 items 记录表示一个命中的,以及该下各 ASIN 在 Amazon SERP 中的排名信息。
| 字段名 | 类型 | 说明 |
|---|---|---|
keyword_data | object | 当前数据 |
keyword_data.se_type | string | 搜索引擎类型 |
keyword_data.keyword | string | 返回的 |
keyword_data.location_code | integer | 地区编码 |
keyword_data.language_code | string | 语言代码 |
keyword_data.keyword_info | object | 指标数据 |
keyword_data.keyword_info.se_type | string | 搜索引擎类型 |
keyword_data.keyword_info.last_updated_time | string | 数据更新时间,UTC 格式:yyyy-mm-dd hh-mm-ss +00:00 |
keyword_data.keyword_info.search_volume | integer | Amazon 月均搜索量近似值 |
intersection_result | object | 各 ASIN 在该搜索结果中的交集 |
intersection_result.$asin_number | object | 请求中某个 ASIN 对应的结果明细 $asin_number 为如 "1"、"2" 这样的键名 |
intersection_result.$asin_number.se_type | string | 搜索引擎类型 |
intersection_result.$asin_number.type | string | 素类型,固定为 amazon_serp |
intersection_result.$asin_number.rank_group | integer | 同类型组排名 |
intersection_result.$asin_number.rank_absolute | integer | 在 Amazon SERP 中的绝对排名 |
intersection_result.$asin_number.position | string | 结果展示位置,可为 left 或 right |
intersection_result.$asin_number.xpath | string | 结果的 XPath |
intersection_result.$asin_number.domain | string | Amazon 域名 |
intersection_result.$asin_number.title | string | 商品标题 |
intersection_result.$asin_number.url | string | 商品页 URL |
intersection_result.$asin_number.description | string | 商品描述 |
intersection_result.$asin_number.asin | string | 商品 ASIN |
intersection_result.$asin_number.image_url | string | 商品图片 URL |
intersection_result.$asin_number.price_from | float | 商品常规价格下限,例如 49.98 |
intersection_result.$asin_number.price_to | float | 商品价格区间上限,例如 384.99 |
intersection_result.$asin_number.currency | string | 币种,ISO 4217 格式,例如 USD |
intersection_result.$asin_number.special_offers | array | 特别优惠信息,如优惠券、订省等 |
intersection_result.$asin_number.is_best_seller | boolean | 是否带有 “Best Seller” 标签 |
intersection_result.$asin_number.is_amazon_choice | boolean | 是否带有 “Amazon’s choice” 标签 |
intersection_result.$asin_number.rating | object | 评分信息 |
intersection_result.$asin_number.rating.rating_type | string | 评分类型,可能为 Max5、Percents、CustomMax |
intersection_result.$asin_number.rating.value | integer | 当前评分值 |
intersection_result.$asin_number.rating.votes_count | integer | 评价数量 |
intersection_result.$asin_number.rating.rating_max | integer | 该评分类型的最大值 |
intersection_result.$asin_number.delivery_info | object | 送信息 |
intersection_result.$asin_number.delivery_info.delivery_message | string | 送说明文本 |
intersection_result.$asin_number.delivery_info.delivery_price | object | 送价格信息;如运费则为 null |
intersection_result.$asin_number.delivery_info.delivery_price.current | float | 当前价格 |
intersection_result.$asin_number.delivery_info.delivery_price.regular | float | 原始未折扣价格 |
intersection_result.$asin_number.delivery_info.delivery_price.max_value | float | 未折扣最高价 |
intersection_result.$asin_number.delivery_info.delivery_price.currency | string | 送价格币种,ISO 4217 格式 |
intersection_result.$asin_number.delivery_info.delivery_price.is_price_range | boolean | 是否为价格区间 |
intersection_result.$asin_number.delivery_info.delivery_price.displayed_price | string | Amazon 页面展示的价格文本 |
请求示例
cURL
bash
curl --location --request POST "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_keyword_intersections/live" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json" \
--data-raw '[
{
"asins": {
"1": "B09172433Z",
"2": "B07GBZ4Q68",
"3": "B07GCKQD77"
},
"language_name": "English",
"location_code": 2840
}
]'Python
python
import requests
url = "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_keyword_intersections/live"
headers = {
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
}
data = [
{
"asins": {
"1": "B09172433Z",
"2": "B07GBZ4Q68",
"3": "B07GCKQD77"
},
"location_name": "United States",
"language_name": "English"
}
]
response = requests.post(url, headers=headers, json=data)
print(response.json)TypeScript
typescript
import axios from "axios";
const postArray = [
{
asins: {
"1": "B09172433Z",
"2": "B07GBZ4Q68",
"3": "B07GCKQD77"
},
language_name: "English",
location_code: 2840
}
];
axios({
method: "post",
url: "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_keyword_intersections/live",
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
},
data: postArray
})
.then((response) => {
// 输出接口返回结果
console.log(response.data);
})
.catch((error) => {
console.error(error);
});响应示例
json
{
"version": "0.1.20220216",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.2532 sec.",
"cost": 0.0105,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"data": {
"api": "dataforseo_labs",
"function": "product_keyword_intersections",
"se_type": "amazon",
"language_name": "English",
"location_code": 2840,
"asins": {
"1": "B09172433Z",
"2": "B07GBZ4Q68",
"3": "B07GCKQD77"
}
},
"result": [
{
"se_type": "amazon",
"keyword_data": {
"se_type": "amazon",
"keyword": "pc mouse gaming",
"location_code": 2840,
"language_code": "en",
"keyword_info": {
"se_type": "amazon",
"last_updated_time": "2022-02-05 18:00:12 +00:00",
"search_volume": 500
}
},
"intersection_result": {
"1": {
"se_type": "amazon",
"type": "amazon_serp",
"rank_group": 4,
"rank_absolute": 6,
"position": "left",
"xpath": "/html/body/div/div/div/div/div/span/div/div",
"domain": "www.amazon.com",
"title": "LeadsaiL Gaming Mouse Wired RGB PC Gaming Mice",
"url": "https://www.amazon.com/LeadsaiL-Programmable-Backlight-Ergonomic-Computer/dp/B09172433Z/",
"description": null,
"asin": "B09172433Z",
"image_url": null,
"price_from": 12.99,
"price_to": 87.98,
"currency": "USD",
"special_offers": null,
"is_best_seller": false,
"is_amazon_choice": false,
"rating": {
"rating_type": "Max5",
"value": 4,
"votes_count": 610,
"rating_max": 5
},
"delivery_info": null
},
"2": {
"se_type": "amazon",
"type": "amazon_serp",
"rank_group": 1,
"rank_absolute": 3,
"position": "left",
"xpath": "/html/body/div/div/div/div/div/span/div/div",
"domain": "www.amazon.com",
"title": "Logitech G502 HERO High Performance Wired Gaming Mouse",
"url": "https://www.amazon.com/Logitech-G502-Performance-Gaming-Mouse/dp/B07GBZ4Q68/",
"description": null,
"asin": "B07GBZ4Q68",
"image_url": null,
"price_from": 39.9,
"price_to": null,
"currency": "USD",
"special_offers": null,
"is_best_seller": false,
"is_amazon_choice": true,
"rating": {
"rating_type": "Max5",
"value": 4,
"votes_count": 27510,
"rating_max": 5
},
"delivery_info": null
}
}
}
]
}
]
}状态码与错误处理
建议对接口状态码和任务状态码分别处理。
- 顶层
status_code:表示整次请求的总体执行状态 tasks[].status_code:表示单个任务执行状态- 完整错误码请参考:
/v3/appendix/errors
通常应至少处理以下:
- 认证失败
- 参数缺失或格式错误 -出频率限制
- 指定地区或语言不受支持
- ASIN 数量限
- 结果为空或部分字段为
null
使用要点
asins最多支持传20个商品。location_name与location_code二选一;language_name与language_code二选一。- 当前地区支持范围有限,不是所有 Amazon 站点都可用。
- 如需分页,请结合
limit与offset使用。 - 如需筛选高搜索量或特定词型,建议合
filters和order_by。
实用场景
- 挖掘竞争词:多个竞品 ASIN,找出它们同时出现在搜索结果中的,用于发现核心竞争词池。
- 筛选高价值投放词:结合
search_volume、排名和筛选规则,找出既有流量又与多个竞品重叠的,广告投放与 Listing 优化。 - 评估竞品覆盖重合度:比较多个商品在同一批上的 SERP 曝位置,判断竞品之间的直接竞争强度。
- 扩展类目词:使用
union模式获取更广泛的集合,帮助新品冷启动阶段建立候选词库。 - 定位排名差距机会词:查看同一下不同 ASIN 的
rank_absolute,识别自身商品落后但仍有结果页机会的词。